Bug 32500 - Не создаются образы
: Не создаются образы
Status: REOPENED
: Branch p8
(All bugs in Branch p8/virtualbox)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2016-09-15 08:17 by
Modified: 2017-02-06 13:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-09-15 08:17:49
Собственно на форуме обнаружили:
https://forum.altlinux.org/index.php?topic=37277.msg294517#msg294517

Команда не проходит:

VBoxManage createhd -filename '/home/user/VirtualBox VMs/test1.vdi' -size 512
-format VDI -variant Fixed

В багзиле VirtualBox пишут, что исправлено в новой версии 
https://www.virtualbox.org/ticket/15748

Так что - или патч нужно от новой версии накладывать, или новую версию собирать
с отсутствующим багом
------- Comment #1 From 2016-09-15 11:33:57 -------
собираю 5.1.6
------- Comment #2 From 2016-09-17 14:39:27 -------
В Сизифе всё Ок. 
Сейчас проверил, правда только на 64 битах проверял (32 биа негде проверить, но
думаю и там нормально).

PS надо-бы и для p8 пересобрать.
------- Comment #3 From 2016-09-18 08:53:42 -------
Перевешиваю на p8
------- Comment #4 From 2016-09-18 08:54:31 -------
Перевешиваю на p8
------- Comment #5 From 2017-02-06 13:40:38 -------
Предлагаю обновить до сизифной сборки:
[sin@tor virtualbox]$ rpm -q virtualbox
virtualbox-5.1.14-alt2.M80P.1

[sin@tor virtualbox]$ VBoxManage createhd --format VMDK --filename
build/junk.vmdk --size 8192 --variant Fixed,Split2G
0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%
Medium created. UUID: fdc2b7da-ae42-4edf-a2a7-f721183ac698
[sin@tor virtualbox]$ ls -l build/junk*
-rw-------+ 1 sin sin 2146435072 фев  6 14:22 build/junk-f001.vmdk
-rw-------+ 1 sin sin 2146435072 фев  6 14:22 build/junk-f002.vmdk
-rw-------+ 1 sin sin 2146435072 фев  6 14:22 build/junk-f003.vmdk
-rw-------+ 1 sin sin 2146435072 фев  6 14:22 build/junk-f004.vmdk
-rw-------+ 1 sin sin    4194304 фев  6 14:22 build/junk-f005.vmdk
-rw-------+ 1 sin sin        605 фев  6 14:22 build/junk.vmdk

[sin@tor virtualbox]$ ssh girar task ls
#177655 FAILED #1 p8 gsoap.git=2.8.42-alt1%ubt virtualbox.git=5.1.14-alt2%ubt
[sin@tor virtualbox]$ ssh girar task check-git-inheritance 177655 200 disable
6d918cd9bcbf577038ccb7e47a0f9abc89ce6dd5
girar-check-perms: access to virtualbox DENIED for sin: does not belong to
approved builders list: @qa_p8

Нужно только модули ещё добавить.